Subject: egcs, C++ and GnuWin32
From: [email-masked] (Theodore W. Leung)

27 Nov 1997 15:13:11 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Hi,

I've successfully installed Mumit's egcs for gnu-win32, and compiled,
linked, and run a small c program.  I tried to move up to a C++ program but
I got stuck.

I am able to compile and link the program, but when I invoke a.exe, I get an
error saying that the dll 'll' cannot be found in the path.  As far as I
can see, there is no ll.dll in the cygwin distribution.  If I do an objdump
-p on a.exe, I get the stuff below.  Can anyone get me started on how to
track this down?

Thanks,

Ted

-----------------------------------------------------------------------------
a.exe:     file format pei-i386

ImageBase		00400000
SectionAlignment	00001000
FileAlignment		00000200
MajorOSystemVersion	4
MinorOSystemVersion	0
MajorImageVersion	1
MinorImageVersion	0
MajorSubsystemVersion	4
MinorSubsystemVersion	0
Reserved1		00000000
SizeOfImage		0005a000
SizeOfHeaders		00000400
CheckSum		00000000
Subsystem		00000003
DllCharacteristics	00000000
SizeOfStackReserve	02000000
SizeOfStackCommit	00001000
SizeOfHeapReserve	00100000
SizeOfHeapCommit	00001000
LoaderFlags		00000000
NumberOfRvaAndSizes	00000010

The Data Directory
Entry 0 00000000 00000000 Export Directory [.edata (or where ever we found
it)]
Entry 1 00018000 00000354 Import Directory [parts of .idata]
Entry 2 00000000 00000000 Resource Directory [.rsrc]
Entry 3 00000000 00000000 Exception Directory [.pdata]
Entry 4 00000000 00000000 Security Directory
Entry 5 00000000 00000000 Base Relocation Directory [.reloc]
Entry 6 00000000 00000000 Debug Directory
Entry 7 00000000 00000000 Description Directory
Entry 8 00000000 00000000 Special Directory
Entry 9 00000000 00000000 Thread Storage Directory [.tls]
Entry a 00000000 00000000 Load Configuration Directory
Entry b 00000000 00000000 Bound Import Directory
Entry c 00000000 00000000 Import Address Table Directory
Entry d 00000000 00000000 Reserved
Entry e 00000000 00000000 Reserved
Entry f 00000000 00000000 Reserved

The Import Tables (interpreted .idata section contents)
 vma:    Hint    Time      Forward  DLL       First
         Table   Stamp     Chain    Name      Thunk
 418000	00018078 00000000 00000000 0001833c 000180fc

	DLL Name: ll
	vma:  Ordinal  Member-Name
	181a8	  597  dll_crt0__FP11per_process
	181c4	  627  fclose
	181d0	  635  fflush
	181dc	  640  fileno
	181e8	  654  fread
	181f0	  655  free
	181f8	  660  fseek
	18200	  662  fstat
	18208	  668  fwrite
	18214	  725  isatty
	18220	  764  lseek
	18228	  766  malloc
	18234	  772  memchr
	18240	  774  memcpy
	1824c	  775  memmove
	18258	  776  memset
	18264	  796  open
	1826c	  819  read
	18274	  823  realloc
	18280	  914  strcmp
	1828c	  935  strtol
	18298	  936  strtoul
	182a4	  994  write
	The Import Address Table (difference found)
	vma:  Ordinal  Member-Name
	1819c	   56  __srget

 418014	000180dc 00000000 00000000 00018344 00018164

	DLL Name: kernel32.dll
	vma:  Ordinal  Member-Name
	182ac	  236  GetModuleHandleA
	The Import Address Table is identical

 418028	00000000 00000000 00000000 00000000 00000000

______________________________________________________________________________
Ted Leung	[email-masked] or [email-masked]      http://pobox.com/~twl
______________________________________________________________________________

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".